### Function

# EDataServer SoupSession util_set_message_request_body_from_data

since: 3.46

#### Declaration [src]

    void
    e_soup_session_util_set_message_request_body_from_data (
      SoupMessage* message,
      gboolean create_copy,
      const gchar* content_type,
      gconstpointer data,
      gssize length,
      GDestroyNotify free_func
    )

#### Description [src]

Sets the request body of the `message` from the `data` of the `length`, with optional `content_type`. The function makes sure the `message` request body is set again when the message is restarted.

When the `create_copy` is `TRUE`, the `free_func` should be `NULL`.

Available since: 3.46

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the function.

`create_copy`

  Type: `gboolean`

  Whether to create copy of the `data`.

`content_type`

  Type: `const gchar*`

  Optional Content-Type of the `data`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `gconstpointer`

  The request body data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`length`

  Type: `gssize`

  Length of the `data`.

`free_func`

  Type: `GDestroyNotify`

  A free function for the `data`, or `NULL`.